[
   uuid(3cd76ff2-199f-11d1-917b-00608c86b89c),
   helpstring("CJavaViaWizardLib Type Library"),
   version(1.0)
]
library CJavaViaWizardLib
{
   importlib("stdole32.tlb");

   [
      uuid(3cd76ff1-199f-11d1-917b-00608c86b89c),
      helpstring("ICJavaViaWizard Interface")
   ]
   dispinterface ICJavaViaWizard
   {
      properties:
      methods:
      [ helpstring("SayHello Method"), id(1) ]
      void SayHello();

      [ helpstring("getHelloMessage Method"), id(2) ]
      BSTR getHelloMessage();

      [ helpstring("putHelloMessage Method"), id(3) ]
      void putHelloMessage([in] BSTR p1);

   }

   [
      uuid(3cd76ff0-199f-11d1-917b-00608c86b89c),
      helpstring("CCJavaViaWizard Object")
   ]
   coclass CCJavaViaWizard
   {
      [ default ]
      dispinterface ICJavaViaWizard;
   };

};
